﻿body {
    font-size: 14px;
    color: #5a5b5b;
    font-family: Cabin;
}

#header {
    background-image: url(/images/header.jpg);
    background-repeat: no-repeat;
    background-position: center bottom;
    background-size: 100% 350px;
    width: 100%;
    min-width: 1000px;
    height: 350px;
    margin-top: 0px;
}

#nav {
    background: rgba(255, 0, 0, 0.65);
    position: absolute;
    margin-top: 300px;
    height: 50px;
    width: 100%;
    min-width: 1050px;
}

    #nav ul {
        width: 1050px;
        margin: 5px auto;
        padding: 0;
        list-style: none;
        text-align: center;
        font-family: "Myriad Pro", "Gill Sans", "Gill Sans MT", Calibri, sans-serif;
        font-size: 18px;
    }

    #nav li {
        display: inline-block;
        width: 24%;
        padding: 0;
    }

    #nav a {
        text-align: center;
        padding: 5px 0 5px 0;
        margin: 0;
        display: block;
        color: white;
    }

        #nav a:hover {
            border: none;
        }

#taxPageLink {
    color: White;
    font-size: 18px;
    padding: 12px 0 12px 0;
    font-family: "Myriad Pro", "Gill Sans", "Gill Sans MT", Calibri, sans-serif;
    background: #4b7cb0; /* Old browsers */
    background: -moz-linear-gradient(top, #4b7cb0 0%, #14487b 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #4b7cb0 0%,#14487b 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #4b7cb0 0%,#14487b 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#4b7cb0', endColorstr='#14487b',GradientType=0 ); /* IE6-9 */
}

#wrapper {
    margin: auto;
    width: 1050px;
}

#wrapperFW {
    margin: auto;
    width: auto;
    min-width: 1050px;
    max-width: 1300px;
}

#welcome {
    width: 650px;
    float: left;
}

#contact {
    width: 250px;
    float: right;
    text-align: center;
}

#content {
    padding: 10px;
}

@media print {
    #header, #footer, .hidePrint {
        display: none;
    }
}

/*essentially doing a min-width for header img here*/
@media (max-width: 1800px) {

    #header {
        background-size: auto 350px; /* Force the image to its minimum width */
    }
}

@media screen and (max-width: 767px) {
    body {
        min-height: 700px;
        background: none;
        -webkit-text-size-adjust: none;
        padding: 0;
        text-align: left;
        direction: ltr;
        margin: 0;
        color: black;
    }

    #viewport {
        overflow: hidden;
        position: relative;
        width: 100%;
    }

    #mobileMenu {
        width: 190px;
        background: white;
        min-height: 100%;
        position: absolute;
        overflow: hidden;
        left: -190px;
    }

        #mobileMenu > ul {
            padding: 0px;
            margin: 0px;
        }

            #mobileMenu > ul > li {
                list-style: none;
            }

        #mobileMenu ul li > a {
            list-style: none;
            display: block;
            padding: 0 10px 0 5px;
            line-height: 30px;
            color: black;
            text-decoration: none;
            border-bottom: solid #EEE 1px;
        }

    #mobileMenuHome {
        background-image: url(/images/mobile/home.jpg);
        background-position: center bottom;
        background-size: 414px auto;
        background-repeat: no-repeat;
        padding-top: 15px;
        padding-bottom: 15px;
        width: 100%;
        text-align: left;
    }

        #mobileMenuHome > ul > li {
            list-style: none;
        }

        #mobileMenuHome ul li > a {
            list-style: none;
            display: block;
            padding: 0 10px 0 5px;
            line-height: 30px;
            color: #000;
            text-decoration: none;
            font-size: 15px;
            font-family: "Myriad Pro", "Gill Sans", "Gill Sans MT", Calibri, sans-serif;
            line-height: 40px;
        }

    #headerMenu {
        color: White;
        vertical-align: top;
        background-color: #df1010; /* header bg color */
        border-bottom: 3px solid #f15e5e;
    }

    #btnToggleMenu {
        margin: 10px;
        border-radius: 5px;
        padding: 4px 5px 5px 4px;
        -webkit-box-sizing: content-box;
        -moz-box-sizing: content-box;
        box-sizing: content-box;
    }

    #mobileTitle {
        background-color: #df1010;
        color: white;
        text-align: center;
        font-size: 18px;
        padding: 5px 0 5px 0;
        font-family: 'Trebuchet MS', 'Lucida Grande', 'Lucida Sans Unicode', 'Lucida Sans', Tahoma, sans-serif;
    }

    #officialPhoto {
        width: 125px;
        margin: auto;
        text-align: center;
        font-weight: bold;
        color: #14487b;
    }

        #officialPhoto img {
            padding: 5px 0 5px 0;
        }

    #contentWrap {
        position: relative;
        height: 100%;
        min-height: 700px;
        -webkit-box-shadow: -6px 0px 8px rgba(48, 50, 50, 0.5);
        -moz-box-shadow: -6px 0px 8px rgba(48, 50, 50, 0.5);
        box-shadow: -6px 0px 8px rgba(48, 50, 50, 0.5);
        -webkit-overflow-scrolling: touch;
    }

        #contentWrap.menuVisible, #mobileMenu.menuVisible {
            -webkit-transform: translateX(190px);
            transform: translateX(190px);
            -webkit-transition-duration: 0.3s;
            transition-duration: 0.3s;
        }

    #content {
        background: white;
        padding: 5px;
    }
}

@media all and (orientation:landscape) {
    #mobileMenuHome {
        background-image: url(/images/mobile/horizontal.png);
        background-position: center center;
        background-size: 736px auto;
        background-repeat: no-repeat;
        padding-top: 15px;
        padding-bottom: 25px;
        width: 100%;
    }
}
